/* ==========================================================================
  POPUP
===========================================================================*/

/* POPUP STYLES */

.popup {
  position: fixed;
  z-index: z(popup);
  left: 0;
  right: 0;
  top: -70px;
  // padding-bottom: 70px;
  display: flex;
  width: 100%;
  height: 100%;
  visibility: hidden;
  overflow: hidden;
  opacity: 0;
  transform: translateY(70px);
  -webkit-overflow-scrolling: touch;
  pointer-events: none;
  transition: all 0.3s ease-in-out;
}

//open
.popup_open {
  pointer-events: auto;
  visibility: visible;
  opacity: 1;
  transition: .3s; //?

  .popup-overlay {
    visibility: visible;
    opacity: 1;
    transition: .3s; //?
  }

  .popup-container {
    opacity: 1;
    transform: scale(1);
    transition: .3s; //?
  }
}

/* OVERLAY */

.popup-overlay {
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: rgba(25, 18, 12, 0.5);
  visibility: hidden;
  opacity: 0;
  transition: all 0.3s ease-in-out;
}

/* SOME CONTAINER */
.popup-container {
  position: relative;
  z-index: 2;
  display: block;
  width: 97%;
  max-width: 470px;
  height: auto;
  min-height: 100px;
  max-height: 100%;
  margin: auto;
  background: #fff;
  border: 1px solid $color-gray;
  border-radius: 10px;
  opacity: 0;
  transition: all 0.3s ease-in-out;
  transform: scale(0.7);
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}

/* CLOSE */

.popup-container__close {
  position: absolute;
  top: 15px;
  right: 15px;
  z-index: z(default);
  width: 25px;
  height: 25px;
  padding: 0;
  font-size: 0;
  border: 0;
  background: transparent;

  &:focus {
    outline: none;
    //color: $color-main-darken;
  }

  &:hover {
    //color: $color-main;
  }
}

/* CONTENT */

.popup-content {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
  padding-left: 25px;
  padding-right: 25px;
  padding-top: 30px;
  padding-bottom: 30px;

  @media screen and (max-height: 800px){

    .form__group + .form__group{
      margin-top: 30px;
    }
  }

  @include mq('tablet', 'max') {
    padding-left: 15px;
    padding-right: 15px;
  }
}

.popup-content__title {
  margin-top: 0px;
  margin-bottom: 20px;
}

/* MESSAGE */
.popup_message {

  .p {
    margin: 0;
  }

  .popup-container {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 250px;
    text-align: center;

    @include mq('tablet', 'max') {
      min-height: 150px;
    }

  }

  @include mq('tablet', 'max') {

    .popup-content__title {
      font-size: 16px;
    }

    p {
      font-size: 12px;
      margin: 0;
    }
  }
}

/* end popup */
